[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: timeout initial wget of dsc file early (wget default is 15m)

Holger Levsen holger at moszumanska.debian.org
Wed Sep 23 00:35:23 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit e75fc9610601e5e63ffa900f6d8b98b3515906e8
Author: Holger Levsen <holger at layer-acht.org>
Date:   Wed Sep 23 02:35:05 2015 +0200

    reproducible: timeout initial wget of dsc file early (wget default is 15m)
---
 bin/reproducible_build.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 827fac5..8109ee0 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -451,7 +451,8 @@ get_source_package() {
 		RESULT=$?
 	else
 		# remote build, no need to download the full source package...
-		schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget || true
+		# timeout wget after 3min
+		schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs timeout -k 3m 3m wget || true
 		RESULT=$?
 	fi
 	PARSED_RESULT=$(egrep 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' ${RBUILDLOG} || true)
@@ -467,7 +468,7 @@ get_source_package() {
 			RESULT=$?
 		else
 			# remote build, no need to download the full source package...
-			schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget || true
+			schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs timeout -k 3m 3m wget || true
 			RESULT=$?
 		fi
 	        PARSED_RESULT=$(egrep 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' ${RBUILDLOG} || true)

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list